%bcond_without tests

Summary:        Poetry PEP 517 Build Backend
Name:           python-poetry-core
Version:        1.7.0
Release:        1%{?dist}
License:        MIT and (ASL 2.0 or BSD) and Python
URL:            https://github.com/python-poetry/poetry-core
Source0:        %{url}/archive/%{version}/poetry-core-%{version}.tar.gz

Patch3000:      poetry-core-1.7.0-devendor.patch

BuildRequires:  python3-devel pyproject-rpm-macros
BuildArch:      noarch

%if %{with tests}
BuildRequires:  gcc
BuildRequires:  git-core python3-build python3-pytest python3-pytest-mock
BuildRequires:  python3-pep517 python3-setuptools python3-virtualenv
BuildRequires:  python3-tomli-w
%endif

%description
A PEP 517 build backend implementation developed for Poetry.
This project is intended to be a light weight, fully compliant, self-contained
package allowing PEP 517 compatible build frontends to build Poetry managed
projects.


%package -n python3-poetry-core
Summary:        Poetry PEP 517 Build Backend

%description -n python3-poetry-core
A PEP 517 build backend implementation developed for Poetry.
This project is intended to be a light weight, fully compliant, self-contained
package allowing PEP 517 compatible build frontends to build Poetry managed
projects.


%prep
%autosetup -p1 -n poetry-core-%{version}
%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files poetry

%if %{with tests}
%check
%pytest -k "not with_excluded_data"
%endif

%files -n python3-poetry-core -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sat Oct 7 2023 Shuo Wang <abushwang@tencent.com> - 1.7.0-1
- update to 1.7.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Miaojun Dong <zoedong@tencent.com> - 1.3.2-1
- initial build
